package de.cliffbreak.core.listeners;

import com.google.common.io.ByteArrayDataOutput;
import com.google.common.io.ByteStreams;
import de.cliffbreak.core.CliffbreakCore;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPortalEvent;

public class PlayerPortalListener implements Listener {

    private CliffbreakCore plugin;

    public PlayerPortalListener(CliffbreakCore plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerPortal(PlayerPortalEvent e) {
        e.setCancelled(true);
        Player p = e.getPlayer();

        ByteArrayDataOutput out = ByteStreams.newDataOutput();
        out.writeUTF("Connect");
        out.writeUTF("vanilla");
        p.sendPluginMessage(this.plugin, "BungeeCord", out.toByteArray());
    }
}
